# Inform challenge result

Once the customer has accepted or rejected the push notification for a 3DS challenge, you can use this endpoint to notify us of the result.
You must call this endpoint before the expiration time, otherwise it will return a 400 error. You can find the expiration information from the [3DS challenge webhook event](/api-reference/legacy/webhook-event/eventcards3dschallenge).
Only the first call to this endpoint will be processed. Any subsequent duplicate requests will be ignored, although you will still receive a success response.
This endpoint is SCA protected. SCA requirements apply to profiles registered outside of the following regions: US, AU, NZ, SG, CA, MY.
Review the [Strong Customer Authentication guide](/guides/developer/auth-and-security/sca-and-2fa) for more details.

Endpoint: POST /v3/spend/profiles/{profileId}/3dsecure/challenge-result
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Path parameters:

  - `profileId` (integer, required)
    The profile ID (personal or business) associated with the 3DS challenge.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `transactionReference` (string, required)
    Transaction reference as received in the 3DS challenge webhook event.
    Example: 148579538

  - `challengeStatus` (string, required)
    The customer's response to the 3DS challenge.
    Enum: "APPROVED", "REJECTED"

## Response 204:

  - `204` (unknown)
    No Content - Challenge result has been successfully recorded.

## Response 204 headers:

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

